View Issue Details

IDProjectCategoryView StatusLast Update
0022423mantisbthtmlpublic2017-03-20 10:14
ReporterlibregeekAssigned Tocommunity 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version2.3.0Fixed in Version2.3.0 
Summary0022423: ID attribute for bugnote_text
Description

We have developed a plugin to integrate SimpleMDE (www.simplemde.com) for the textareas. All other controls except the note field in issue details page (view.php) has an ID attribute. Hence, it would be great help if an ID is assigned to the Note field in issue details page.

TagsNo tags attached.

Relationships

related to 0022548 resolvedcommunity Remove unnecessary 'center' class from textarea in bugnote edit page 

Activities

libregeek

libregeek

2017-02-27 07:47

reporter  

Selection_527.png (14,638 bytes)
Selection_527.png (14,638 bytes)
ajtruckle

ajtruckle

2017-03-02 11:04

reporter   ~0055873

I am interested in the answer to this. I have viewed the plugin code on GitHub and can see the commented out code:

// Note field in View Issue page
/ This conflicts with the bugnote_text with id. so disabling it for the time being
var bugNoteViewMde = new SimpleMDE({
element: document.getElementsByName("bugnote_text")[0],
autoDownloadFontAwesome: false,
toolbar: ["bold", "italic", "heading", "|", "unordered-list", "ordered-list", "|", "quote", "code", "table", "|", "preview", "guide"],
});
/

libregeek

libregeek

2017-03-14 06:31

reporter   ~0056071

I have submitted a pull request for this issue: https://github.com/mantisbt/mantisbt/pull/1054
Please accept.

libregeek

libregeek

2017-03-15 00:51

reporter   ~0056074

Just now I noticed that the ID attribute is missing in Edit Note page (bugnote_edit_page.php). I will submit another PR later today itself. Please include this in v2.3.0, otherwise we may not be able to completely utilize the editor plugin.

libregeek

libregeek

2017-03-15 06:45

reporter   ~0056076

Here is the PR for 0022423:0056074: https://github.com/mantisbt/mantisbt/pull/1055

libregeek

libregeek

2017-03-17 09:37

reporter   ~0056104

Reopening for PR: https://github.com/mantisbt/mantisbt/pull/1055

dregad

dregad

2017-03-17 12:04

developer   ~0056107

Sorry, it is not clear to me why you are reopening this.

I had a quick glance at the new PR, and see several commits, including some from the previous PR; if something was missing or improperly fixed in MantisBT master 45008cc8, then to avoid confusion please rebase your branch on top of master, instead of merging it.

libregeek

libregeek

2017-03-20 02:23

reporter   ~0056121

@dregard
I'm sorry for the confusion. I tried rebase and messed up my fork. So I forked the upstream repo again and created a new PR.

https://github.com/mantisbt/mantisbt/pull/1058

Please accept. I will make note of the rebase option for future PR.

Related Changesets

MantisBT: master 45008cc8

2017-03-14 13:05:58

libregeek


Committer: dregad Details Diff
Add ID attribute to 'add note' textarea in bug_view page

Fixes 0022423

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - bugnote_add_inc.php Diff File

MantisBT: master 835e2460

2017-03-20 08:46:52

libregeek


Committer: dregad Details Diff
Added ID attribute to textarea in bugnote edit page

Fixes 0022423

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - bugnote_edit_page.php Diff File

Issue History

Date Modified Username Field Change
2017-02-27 07:47 libregeek New Issue
2017-02-27 07:47 libregeek File Added: Selection_527.png
2017-03-02 11:04 ajtruckle Note Added: 0055873
2017-03-14 06:31 libregeek Note Added: 0056071
2017-03-14 11:42 atrol Assigned To => community
2017-03-14 11:42 atrol Status new => assigned
2017-03-14 13:06 dregad Changeset attached => MantisBT master 45008cc8
2017-03-14 13:06 dregad Assigned To community => dregad
2017-03-14 13:06 dregad Status assigned => resolved
2017-03-14 13:06 dregad Resolution open => fixed
2017-03-14 13:06 dregad Fixed in Version => 2.3.0
2017-03-14 13:08 dregad Assigned To dregad => community
2017-03-14 13:08 dregad Target Version => 2.3.0
2017-03-15 00:51 libregeek Note Added: 0056074
2017-03-15 06:45 libregeek Note Added: 0056076
2017-03-17 09:37 libregeek Status resolved => feedback
2017-03-17 09:37 libregeek Resolution fixed => reopened
2017-03-17 09:37 libregeek Note Added: 0056104
2017-03-17 12:04 dregad Note Added: 0056107
2017-03-20 02:23 libregeek Note Added: 0056121
2017-03-20 02:23 libregeek Status feedback => assigned
2017-03-20 09:41 dregad Changeset attached => MantisBT master 835e2460
2017-03-20 09:41 dregad Assigned To community => dregad
2017-03-20 09:41 dregad Status assigned => resolved
2017-03-20 09:41 dregad Resolution reopened => fixed
2017-03-20 10:13 dregad Assigned To dregad => community
2017-03-20 10:14 dregad Relationship added related to 0022548